Subject: bug#53436: 29.0.50; org-toggle-pretty-entities- does not work when toggled off

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 22 Jan 2022 12:55:29 +0100

Arthur Miller <[email-masked]> writes:

> 1. Create an empty org file
> 2. Add some text and mark as italic, bold etc. For example:
>
>   test
>  /test/
>  *test*
> /*test*/
> */test/*
>
> 3. Toggle "pretty entities" on: M-x org-toggle-pretty-entities
>
> Text should be now displayed in italics and bold.

I tried to reproduce this, but I see absolutely no differences in the
buffer before or after doing M-x org-toggle-pretty-entities.  Are there
some additional steps needed?  Do you see any difference when starting
from "emacs -Q"?

This is what it looks like for me, both before and after.

> I see in the implementation of org-toggle-pretty-entities that it calls
> decompose-region, which does not seem to do anything when called from
> M-: either. I don't know if it's bug in org-mode or Emacs itself.

That's...  an odd thing to do.  I mean, using `decompose-region'.  I'm
not even sure what it's supposed to do.  Eli?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no